Subject: RE: What happened to <format> parameter on <get-config>?

From: "Rob Enns" <[email-masked]>
Date: Tue, 15 Mar 2005 10:52:44 -0800

Agreed this change is confusing and we should document it. 
See below.

> > "Steven Berl \(sberl\)" writes:
> > >I know we used to have a <format> parameter as part of the 
> > <get-config> 
> > >operation, and that it got removed in an earlier draft. I 
> > can't seem to 
> > >find the reason why it was removed, and what alternative has been 
> > >provided to allow me to send an additional parameter as part 
> > of a <get-config> request.
> > 
> > The concensus was that namespaces could be used to determine 
> > the sort of information that was being requested.
> > 
> > <rpc>
> >   <get-config>  <!-- from memory; caveat xmler -->
> >     <config>
> >        <configuration-text xmlns="http://example.com/text/1.0"/>
> >     </config>
> >   </get-config>
> > </rpc>
> 
> This actually isn't value by the XSD. It would need to be:
> 
> <rpc>
>    <get-config>
>      <source>
>         <config>
>           <configuration-text xmlns="http://example.com/text/1.0"/>
>         </config>
>      </source>
>   </get-config>
> </rpc>

The intent is that the namespace goes on the element inside
the <filter>. So to get configuration as text the request 
might look like this:

<rpc>
   <get-config>
     <source>
        <running/> <!-- or candidate -->
     </source>
     <filter>
        <configuration-text xmlns="http://example.com/text/1.0"/>
     </filter>
   </get-config>
</rpc>

This approach is a bit more verbose than the original format
parameter, but it's also more flexible.

Does this approach work for you? I will add an example to the draft.

Including the <config> element in the <source> for <get-config>
doesn't mean much (<get-config> would return the same stuff
that was provided in <source>), but it is used for <copy-config>.

Rob

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>